
# PLEASE NOTE: RUNNING THE MODELS WITH THE PROVIDED PACEHOLDER DATA WILL 
# PRODUCE DIFFERENT RESULTS THAN REPORTED IN THE PAPER 
# DUE TO THIS SUBSTITUTION OF GASC TENDER DATA.

# PLEASE SEE README FILE FOR DETAILS

library(urca)
library(dplyr)

# Set working directory
setwd("")

# Import price data
prices <- read.csv("data.csv")
log.prices <- log(prices)

# Define US HRW wheat as placeholder for GASC tender prices 
log.prices$GASC.placeholder <- log.prices$HRW

### Sequential cointegration tests

# GASC tender and Russian prices
X <- select(log.prices, "GASC.placeholder", "RUS")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)

# GASC tender, Russian and French export prices
X <- select(log.prices, "GASC.placeholder", "RUS", "FRA")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)

# GASC tender, Russian, French and US export prices
X <- select(log.prices, "GASC.placeholder", "RUS", "FRA", "USA")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)

# GASC tender, Russian, French, US and Ukrainian export prices
X <- select(log.prices, "GASC.placeholder", "RUS", "FRA", "USA", "UKR")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)

# GASC tender, Russian, French, US and Argentinian export prices
X <- select(log.prices, "GASC.placeholder", "RUS", "FRA", "USA", "ARG")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)

# GASC tender, Russian, French, US and Canadian export prices
X <- select(log.prices, "GASC.placeholder", "RUS", "FRA", "USA", "CAN")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)

# GASC tender, Russian, French, US and Kazakh export prices
X <- select(log.prices, "GASC.placeholder", "RUS", "FRA", "USA", "KAZ")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)

# GASC tender, Russian, French, US and Australian export prices
X <- select(log.prices, "GASC.placeholder", "RUS", "FRA", "USA", "AUS")
johansen <- ca.jo(X, type = "trace", K = 3, ecdet = "none")
summary(johansen)
